class RouteField {
  /// 此注解用来标志一个完全自定义的路由，被注解的对象必须作为路由页面类静态字段
  ///
  /// 例如：
  /// ```dart
  ///   @RouteField()
  ///   static Map<String, RouteFactory> route = <String, RouteFactory>{
  ///     'custom_route': (RouteSettings settings) =>
  ///         MaterialPageRoute(builder: (BuildContext context) => CustomRoutePage()),
  ///     'alias_route': (RouteSettings settings) =>
  ///         MaterialPageRoute(builder: (BuildContext context) => CustomRoutePage()),
  ///   };
  /// ```
  /// 
  const RouteField();
}
